using System;

namespace Takmicenje_2
{
    class Program
    {
        
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            int b = 0;
            bool[] resenja = new bool[t];
            for (int i = 0; i < t; i++)
            {
                string[] unos = Console.ReadLine().Split();
                int n = int.Parse(unos[0]);
                int m = int.Parse(unos[1]);
                int k = int.Parse(unos[2]);
                
                
                if (k < n)
                {
                    if (n % 2 == 0)
                    {
                        if (k % 2 ==0)
                        {
                            
                                if (m >= k * zbirFakt(n / k))
                                {
                                    
                                    resenja[b] = true;
                                    b++;
                                }
                                else
                                {
                                    
                                    resenja[b] = false ;
                                    b++;
                                }
                                
                            
                            
                        }
                        else if (k % 2 !=0)
                        {
                            if (n % k == 0)
                            {
                                if (m >= k * zbirFakt(n/k))
                                {
                                    resenja[b] = true;
                                    b++;
                                }
                                else
                                {
                                    resenja[b] = false;
                                    b++;
                                }
                            }
                            else if (n % k != 0)
                            {
                                if (m>=(n%k)*zbirFakt((n/k)+1)+((n/k)+1)*zbirFakt(n/k))
                                {
                                    resenja[b] = true;
                                    b++;
                                }
                                else
                                {
                                    resenja[b] = false;
                                    b++;
                                }
                            }
                        }
                    }
                    else if (n % 2 != 0)
                    {
                        if (k % 2 == 0)
                        {

                        }
                        else if (k % 2 != 0)
                        {

                        }
                    }
                }
                
            }  
            for(int i = 0; i < resenja.Length;i++)
            {
                if (resenja[i] == true)
                {
                    Console.WriteLine("Tak");

                }
                else if (resenja[i] == false)
                {
                    Console.WriteLine("Nie");
                }
            }
        }
        static int zbirFakt(int n)
        {
            if (n == 0) return 0;
            return n + zbirFakt(n-1);
        }
    }
}